Subject: bug#20089: closed (Re: bug#20089: Error in process filter big freeze)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Mar 2015 10:15:03 +0000

Your bug report

#20089: Error in process filter big freeze

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20089: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20089
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20089: Error in process filter big freeze
From: Eli Zaretskii <[email-masked]>
To: Clément Miklarz <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Mar 2015 12:14:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Clément Miklarz <[email-masked]>
> Date: Wed, 11 Mar 2015 22:18:03 +0100
> 
> It seems that was indeed the case and getting those DLL resolved my problem.
> There is just one thing I can't understand : I followed the advices here
> (http://חנוך.se/diary/how_to_enable_GnuTLS_for_Emacs_24_on_Windows/index.en.html)
> but I didn't do the " Configure trust files" part and it still works perfectly.
> Should that be a problem ?

The certificates are only needed for HTTPS URLs, and I think Emacs 24
will succeed with HTTPS even if you don't have certificates.  So it's
not a grave problem, but you are still advised to install the
certificates.

> Moreover, I used marmalade to get a package before and it worked
perfectly.
> However, I do not remember if it was with emacs-24.3-bin-i386 or
> emacs-24.4-bin-i686-pc-mingw32 (the one I currently use).

Not sure why this worked, perhaps something changed in your system's
setup or in the order of directories on PATH.

Anyway, I think this bug can be closed now.

Subject: Error in process filter big freeze
From: Clément Miklarz <[email-masked]>
To: [email-masked]
Date: Wed, 11 Mar 2015 18:59:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I used emacs 24.4.1 (i686-pc-mingw32).

I went to Options -> Manage Emacs Packages.
Then it tries to connect to each host I specified in my .emacs.
And here are the logs :
Contacting host: elpa.gnu.org:80
Contacting host: tromey.com:80
Contacting host: marmalade-repo.org:80
Opening TLS connection to `marmalade-repo.org'...
Opening TLS connection with `gnutls-cli --insecure -p 443 marmalade-repo.org
'...failed
Opening TLS connection with `gnutls-cli --insecure -p 443 marmalade-repo.org
--protocols ssl3'...failed
Opening TLS connection with `openssl s_client -connect
marmalade-repo.org:443 -no_ssl2 -ign_eof'...failed
Opening TLS connection to `marmalade-repo.org'...failed
error in process filter: url-http: Could not create connection to
marmalade-repo.org:443
error in process filter: Could not create connection to
marmalade-repo.org:443
Failed to download `marmalade' archive.

When I get the first error, emacs freeze.
Meanwhile, there seems to be a heavy load on the CPU and the RAM for emacs
rise to 858 Mo.
If I tried again, it freezes again, the CPU is busy but the amount of RAM
does not change.

I changed a little thing in the .emacs :
(add-to-list 'package-archives '("marmalade" . "
http://marmalade-repo.org/packages/") t)
(add-to-list 'package-archives '("marmalade" . "
http://marmalade-repo.org/packages/")).
It still freezes but no big load on the CPU nor any peak of RAM.

I'll try to connect to marmalade later to see if it's related to a fault on
my side or on the host side.
But even if marmalde can't be contacted, it should not bug like this.

Regards,
Clément MIKLARZ